Subject: bug#33862: closed (Re: bug#33862: "guix gc" failing to complete)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 09 Feb 2021 18:09:02 +0000

Your bug report

#33862: "guix gc" failing to complete

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33862: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33862
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33862: "guix gc" failing to complete
From: zimoun <[email-masked]>
To: Ethan O'Quin <[email-masked]>
Cc: Danny Milosavljevic <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 09 Feb 2021 18:59:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Mon, 11 Jan 2021 at 16:27, zimoun <[email-masked]> wrote:
> On Sat, 19 Dec 2020 at 01:09, zimoun <[email-masked]> wrote:
>> On Mon, 24 Dec 2018 at 22:33, Ethan O'Quin <[email-masked]> wrote:
>
>>
>> Does the solution
>>
>>         Try
>>
>>         # guix gc --verify
>>
>>         If that doesn't work, then… 
>>
>> work for you?  If not, please report what is wrong?
>>
>> Since it is 2years old, I hope you fixed the issue in the meantime.
>
> If no moreinfo, I will close this old issue in the coming days.

No news after 2 years and waiting more than 4 weeks for moreinfo, I am
closing now.

If I am missing something, feel free to reopen.

All the best,
simon

Subject: "guix gc" failing to complete
From: Ethan O'Quin <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 24 Dec 2018 22:33:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Every time I run "guix gc" the process fails with:

"guix gc: error: build failed: executing SQLite statement: FOREIGN KEY constraint failed"

This occurs every time "guix gc" is run, although it progresses for a moment before it fails.

The issue was encountered on guix 0.16.0-7.6f1e0bb on GuixSD as of December 24, although I have encountered it repeatedly back to some time in October, possibly earlier.